<div class="card">
  <span class="text-900 text-xl font-bold mb-4 block">Erstelle Benutzer</span>
  <div class="grid">
    <div class="col-12 lg:col-2">
      <div class="text-900 font-medium text-xl mb-3">Benutzer</div>
      <p class="m-0 p-0 text-600 line-height-3 mr-3">
        Gib unten die Details für den neuen Benutzer ein.
      </p>
    </div>
    <div class="col-12 lg:col-10">
      <form
        [formGroup]="userForm"
        (ngSubmit)="onCreateUser()"
        class="grid formgrid p-fluid"
      >
        <div class="field mb-4 col-12">
          <label for="firstName" class="font-medium text-900">Vorname</label>
          <input
            id="firstName"
            type="text"
            pInputText
            formControlName="firstName"
          />
        </div>
        <div class="field mb-4 col-12">
          <label for="lastName" class="font-medium text-900">Nachname</label>
          <input
            id="lastName"
            type="text"
            pInputText
            formControlName="lastName"
          />
        </div>
        <div class="field mb-4 col-12">
          <label for="email" class="font-medium text-900">E-mail</label>
          <input id="email" type="email" pInputText formControlName="email" />
        </div>
        <div class="field mb-4 col-12">
          <label for="roles" class="font-medium text-900">Rollen</label>
          <p-multiSelect
            id="roles"
            [options]="roles"
            formControlName="roles"
            optionLabel="name"
            optionValue="name"
            placeholder="Wähle Rollen aus"
            appendTo="body"
          >
          </p-multiSelect>
        </div>
        <div class="col-12">
          <button
            pButton
            pRipple
            label="Benutzer erstellen"
            class="w-auto mt-3"
          ></button>
        </div>
      </form>
    </div>
  </div>
</div>
